List Books

Get information about the Books and provide links to purchase them

With this feature you can retrieve a list and information about the books sourced through the Pearson Kitchen Manager API, along with links to buy them.

Step 1: Select List Books and test with your API Key.

Step 2: The call response will be listed below with an overview of all of the available recipes.


Example Message

curl -H "Accept: application/json" "http://api.pearson.com/kitchen-manager/v1/books.json?limit=10&apikey=yourapikey" 
{
  "kind": "pkm#books",
  "count": 8,
  "offset": 0,
  "limit": 10,
  "total": 8,
  "url": "http://api.pearson.com/kitchen-manager/v1/books?apikey=yourapikey",
"results": [ { "name": "On Cooking 5/e", "id": "on-cooking-5-e", "url": "http://api.pearson.com/kitchen-manager/v1/books/on-cooking-5-e",
"authors": ["Sarah R. Labensky", "Priscilla R. Marte", "Alan M. Hause"]", "isbn_10": "013715576X", "isbn_13": "9780137155767", "image": "http://vig-fp.prenhall.com/bigcovers/013715576X.jpg", "catalogue_url": "http://www.mypearsonstore.com/bookstore/product.asp?isbn=013715576X&xid=PSED", "recipe_count": 1019 }, { "name": "Food for Fifty 13/e", "id": "food-for-fifty-13-e", "url": "http://api.pearson.com/kitchen-manager/v1/books/food-for-fifty-13-e",
"authors": ["Mary K. Molt"], "isbn_10": "24689998", "isbn_13": "9780136136514", "image": "http://www.mypearsonstore.com/bookstore/LargeCover.asp?isbn=0136136516", "catalogue_url": "http://www.mypearsonstore.com/bookstore/product.asp?isbn=0136136516&xid=PSED", "recipe_count": 814 } ] }